# Class HttpClientDefaultParameters

java.lang.Object
org.apache.jmeter.protocol.http.sampler.HttpClientDefaultParameters

public class HttpClientDefaultParameters extends Object

## Method Summary

Modifier and Type
Method
Description
`static void`
`load(String file, org.apache.commons.httpclient.params.HttpParams params)`
Loads a property file and converts parameters as necessary.
`static void`
`load(String file, org.apache.http.params.HttpParams params)`
Loads a property file and converts parameters as necessary.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### load

public static void load(String file, org.apache.commons.httpclient.params.HttpParams params)
Loads a property file and converts parameters as necessary.

Parameters:
  `file` - the file to load
  `params` - Commons HttpClient parameter instance

### load

public static void load(String file, org.apache.http.params.HttpParams params)
Loads a property file and converts parameters as necessary.

Parameters:
  `file` - the file to load
  `params` - Apache HttpClient parameter instance